cwlVersion: v1.0
class: CommandLineTool
label: Retrieve alternative identifiers for variant
doc: Retrieve MyVariant.info, dbSNP, gnomAD, and other common identifiers for
  given variant from ClinGen Allele Registry.
baseCommand:
  - /app/cli/pwb.sh
  - GetAlleleRegistryExternalRecordsForVariant
requirements:
  - class: DockerRequirement
    dockerImageId: maayanlab/playbook-partnership:0.73.0
inputs:
  inputs.variant:
    label: Variant
    doc: Variant Term
    type: File
    inputBinding:
      prefix: --inputs.variant=
      separate: false
  outputFilename:
    type: string
    default: output.json
    inputBinding:
      prefix: --output=
      separate: false
outputs:
  output:
    label: Allele Registry External Records Table
    doc: ""
    type: File
    outputBinding:
      glob: $(inputs.outputFilename)
